GuideLab API

List Scanner Connections

List all scanner connections for the current organization. Optionally filter by scanner type and include inactive connections. Includes Medit group metadata when available.

GET
/scanner-connections

List all scanner connections for the current organization. Optionally filter by scanner type and include inactive connections. Includes Medit group metadata when available.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

includeInactive?boolean||
scannerType?string

Value in

  • "3shape"
  • "itero"
  • "medit"

Response Body

application/json

curl -X GET "https://example.com/scanner-connections"
{  "data": [    {      "id": "string",      "organizationId": "string",      "scannerType": "string",      "name": "string",      "connectionStatus": "string",      "statusMessage": "string",      "testMode": true,      "sortOrder": 0,      "isActive": true,      "createdAt": "string",      "updatedAt": "string",      "lastConnectedAt": "string",      "lastSyncAt": "string",      "meditGroupName": "string",      "meditGroupType": "string"    }  ]}
Empty
Empty